org.cpsolver.coursett.constraint

## Enum GroupConstraint.Flag

- java.lang.Object
- - java.lang.Enum<GroupConstraint.Flag>
  - - org.cpsolver.coursett.constraint.GroupConstraint.Flag

- All Implemented Interfaces:
    Serializable, Comparable<GroupConstraint.Flag>
  Enclosing class:
    GroupConstraint

      public static enum GroupConstraint.Flag
      extends Enum<GroupConstraint.Flag>

  Group constraint building blocks (individual constraints that need more than `GroupConstraint.PairCheck`)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACK_TO_BACK` Back-to-back constraint (sequence check)
    `CAN_SHARE_ROOM` Can share room flag
    `CH_NOTOVERLAP` Children cannot overlap
    `IGNORE_STUDENTS` Ignore student conflicts
    `MAX_HRS_DAY` Maximum hours a day (number of slots a day check)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GroupConstraint.Flag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GroupConstraint.Flag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BACK_TO_BACK

          public static final GroupConstraint.Flag BACK_TO_BACK

      Back-to-back constraint (sequence check)

    - #### CAN_SHARE_ROOM

          public static final GroupConstraint.Flag CAN_SHARE_ROOM

      Can share room flag

    - #### MAX_HRS_DAY

          public static final GroupConstraint.Flag MAX_HRS_DAY

      Maximum hours a day (number of slots a day check)

    - #### CH_NOTOVERLAP

          public static final GroupConstraint.Flag CH_NOTOVERLAP

      Children cannot overlap

    - #### IGNORE_STUDENTS

          public static final GroupConstraint.Flag IGNORE_STUDENTS

      Ignore student conflicts

  - ### Method Detail

    - #### values

          public static GroupConstraint.Flag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroupConstraint.Flag c : GroupConstraint.Flag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroupConstraint.Flag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null